Generation Framework

## org.eclipse.gmf.gmfgraph
Interface FigureRef

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FigureRefImpl

    public interface FigureRef

extends AbstractFigure

A representation of the model object 'Figure Ref'. Need this to facilitate reuse of figures while keeping (so nice looking) containment relationship in the Figure class

The following features are supported:

- `Figure`

See Also:
  `GMFGraphPackage.getFigureRef()`
** Generated **
Model:

Method Summary
`RealFigure` `getFigure()` Returns the value of the 'Figure' reference
`void` `setFigure(RealFigure value)` Sets the value of the '`Figure`' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigure

    RealFigure getFigure()

  Returns the value of the 'Figure' reference. not just Figure because don't want to reference figure references.

  Returns:
    the value of the 'Figure' reference.
  See Also:
    `setFigure(RealFigure)`, `GMFGraphPackage.getFigureRef_Figure()`
  ** Generated **
  Model:
    required="true"

### setFigure

    void setFigure(RealFigure value)

  Sets the value of the '`Figure`' reference.

  Parameters:
    `value` - the new value of the 'Figure' reference.
  See Also:
    `getFigure()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.